<?php
//Мод Дневники для DCMS
//Автор:TBicTep
//ICQ:3492211
//Вы не имеете права распространять данный скрипт
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';



if (isset($user))$user_blog=$user['id'];
if (isset($_GET['id']))$user_blog=intval($_GET['id']);

if (!isset($user_blog))
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такого пользователя";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}

$ank_user=get_user($user_blog);
if(!$ank_user)
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "Нет такого пользователя";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Дневники</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}



$set['title']='Дневники-'.$ank_user['nick'].'';
include_once '../sys/inc/thead.php';
title();
err();
aut();
if($user['id'] == $user_blog) $where="WHERE `id_user` = '$user_blog'";
else $where="WHERE `privat` = '0' && `id_user` = '$user_blog'";


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` $where"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";


if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "У пользователя нету дневников<br />";
echo "  </td>\n";
echo "   </tr>\n";
}

$res = mysql_query("select * from `blog_list` $where order by `time` desc LIMIT $start, $set[p_str];"); 
while ($blog = mysql_fetch_array($res)){


$ank=get_user($blog['id_user']);
echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
echo "<img src='/style/themes/$set[set_them]/user/$ank[pol].png' alt='' />";
echo "  </td>\n";
}
echo "  <td class='p_t'>\n";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>".online($ank['id'])." (".vremja($blog['time']).")\n";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";

if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
echo "<a href='list.php?id=".$blog['id']."'>".output_text($blog['name'])."</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$blog[id]'"),0)."/".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_files` WHERE `id_blog` = '$blog[id]'"),0).")<br />\n";
echo"Просмотров: ".$blog['count']."<br />\n";




echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";

if (isset($user_blog)) $dop="id=$user_blog&amp;";
else $dop='';
if ($k_page>1)str('?'.$dop.'',$k_page,$page); // Вывод страниц


if(isset($user))
{
echo'<div class="foot">';

echo"<a href='index.php'>Дневники</a><br />\n";
echo "<a href=\"add.php\">Написать в дневник</a><br />";
echo '</div>';
}




include_once '../sys/inc/tfoot.php';

?>